% Module linc (signature file)
%
% Copyright (C) 2003 Alwen Tiu
%
%   This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or (at
% your option) any later version.
% 
%   This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
%   You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software Foundation,
% Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


% Module: linc
% Author: Alwen Tiu
% Date: 8/26/03
% Description: command line interface to module infer

sig linc.

accum_sig lincsig.

type start_linc string -> o.
kind cmd type.
type all cmd.
type load string -> cmd.
type save string -> cmd.
type display A -> cmd.
type prove int -> cmd.
type help, quit, showdef cmd.

